Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4302)
@@ -58,3 +58,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.0.4171")]
+[assembly: AssemblyFileVersion("3.3.0.4296")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4302)
@@ -86,4 +86,7 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Slave.Communication-3.3", "HeuristicLab.Hive.Slave.Communication\3.3\HeuristicLab.Hive.Slave.Communication-3.3.csproj", "{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}"
+	ProjectSection(ProjectDependencies) = postProject
+		{898B31CF-81DC-453B-AEB3-BDF83197A7EE} = {898B31CF-81DC-453B-AEB3-BDF83197A7EE}
+	EndProjectSection
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Slave.Console-3.3", "HeuristicLab.Hive.Slave.Console\3.3\HeuristicLab.Hive.Slave.Console-3.3.csproj", "{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}"
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/BusinessObjects/SlaveGroupDtoList.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/BusinessObjects/SlaveGroupDtoList.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/BusinessObjects/SlaveGroupDtoList.cs	(revision 4302)
@@ -6,6 +6,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using System.Runtime.Serialization;
 
 namespace HeuristicLab.Hive.Contracts.BusinessObjects {
+  [CollectionDataContract]
   public class SlaveGroupDtoList : ObservableList<SlaveGroupDto>, IDeepCloneable {
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLab.Hive.Contracts-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLab.Hive.Contracts-3.3.csproj	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HeuristicLab.Hive.Contracts-3.3.csproj	(revision 4302)
@@ -140,5 +140,5 @@
     <Compile Include="MultiStream.cs" />
     <Compile Include="Interfaces\ISlaveFacade.cs" />
-    <Compile Include="Interfaces\IExecutionEngineFacade.cs" />
+    <Compile Include="Interfaces\IClientFacade.cs" />
     <Compile Include="ResponseObjects\ResponseObject.cs" />
     <Compile Include="Interfaces\ISlaveManager.cs" />
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HiveRoles.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HiveRoles.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/HiveRoles.cs	(revision 4302)
@@ -6,6 +6,7 @@
 namespace HeuristicLab.Hive.Contracts {
   public static class HiveRoles {
-    public const string Administrator = "Administrator";
-    public const string Slave = "Slave";
+    public const string Administrator = "Hive.Administrator";
+    public const string Slave = "Hive.Slave";
+    public const string Client = "Hive.Client";
   }
 }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/Interfaces/IClientFacade.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/Interfaces/IClientFacade.cs	(revision 4302)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/Interfaces/IClientFacade.cs	(revision 4302)
@@ -0,0 +1,48 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.ServiceModel;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.Hive.Contracts.ResponseObjects;
+
+namespace HeuristicLab.Hive.Contracts.Interfaces {
+  [ServiceContract]
+  public interface IClientFacade {
+    [OperationContract]
+    ResponseObject<JobDto> AddJob(SerializedJob job);
+    [OperationContract]
+    ResponseObject<JobDto> AddJobWithGroupStrings(SerializedJob jobObj, IEnumerable<string> groups);
+    [OperationContract]
+    Response RequestSnapshot(Guid jobId);
+    [OperationContract]
+    ResponseObject<SerializedJob> GetLastSerializedResult(Guid jobId, bool requested, bool snapshot);
+    [OperationContract]
+    Response AbortJob(Guid jobId);
+    [OperationContract]
+    ResponseObject<JobDto> GetJobById(Guid jobId);
+    [OperationContract]
+    ResponseObject<JobResultList> GetJobResults(IEnumerable<Guid> jobIds);
+  }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Contracts/3.3/WcfSettings.cs	(revision 4302)
@@ -8,10 +8,13 @@
 using System.Security.Cryptography.X509Certificates;
 using System.Net;
+using System.ServiceModel.Description;
 
 namespace HeuristicLab.Hive.Contracts {
   public static class WcfSettings {
+    public const string SlaveServiceName = "SlaveService";
+    public const string ServerConsoleServiceName = "ServerConsoleService";
+    public const string ClientServiceName = "ClientService";
 
-    public const string SERVERCERT = "HIVE-Server";
-    public const int DEFAULTPORT = 9000;
+    public const int DefaultPort = 9000;
     
     /// <summary>
@@ -74,14 +77,15 @@
     /// <returns></returns>
     public static IPAddress GetActiveIP() {
-      //return System.Net.NetworkInformation.IPGlobalProperties.GetIPGlobalProperties().GetActiveTcpConnections()[0].LocalEndPoint.Address.ToString();
-      IPAddress[] addresses;
-      addresses = Dns.GetHostAddresses(Dns.GetHostName());
-      int index = 0;
-      if (System.Environment.OSVersion.Version.Major >= 6) {
-        for (index = addresses.Length - 1; index >= 0; index--)
-          if (addresses[index].AddressFamily == System.Net.Sockets.AddressFamily.InterNetwork)
-            break;
-      }
-      return addresses[index];
+      //return IPAddress.Parse("127.0.0.1");
+      return System.Net.NetworkInformation.IPGlobalProperties.GetIPGlobalProperties().GetActiveTcpConnections()[0].LocalEndPoint.Address;
+      //IPAddress[] addresses;
+      //addresses = Dns.GetHostAddresses(Dns.GetHostName());
+      //int index = 0;
+      //if (System.Environment.OSVersion.Version.Major >= 6) {
+      //  for (index = addresses.Length - 1; index >= 0; index--)
+      //    if (addresses[index].AddressFamily == System.Net.Sockets.AddressFamily.InterNetwork)
+      //      break;
+      //}
+      //return addresses[index];
     }
 
@@ -91,5 +95,14 @@
     /// <returns></returns>
     public static int GetDefaultPort() {
-      return DEFAULTPORT;
+      return DefaultPort;
+    }
+    
+    /// <summary>
+    /// This method changes the endpoint-address while preserving the identity-certificate defined in the config file
+    /// </summary>
+    public static void SetEndpointAddress(ServiceEndpoint endpoint, string address) {
+      EndpointAddressBuilder builder = new EndpointAddressBuilder(endpoint.Address);
+      builder.Uri = new Uri(address);
+      endpoint.Address = builder.ToEndpointAddress();
     }
   }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs	(revision 4302)
@@ -279,5 +279,5 @@
 
       Thread t = new Thread(() => {
-        IExecutionEngineFacade executionEngineFacade = GetExecutionEngineFacade();
+        IClientFacade clientFacade = GetClientFacade();
 
         try {
@@ -292,5 +292,5 @@
           foreach (IOptimizer optimizer in parentOptimizersByPendingOptimizer.Keys) {
             SerializedJob serializedJob = CreateSerializedJob(optimizer);
-            ResponseObject<JobDto> response = executionEngineFacade.AddJobWithGroupStrings(serializedJob, groups);
+            ResponseObject<JobDto> response = clientFacade.AddJobWithGroupStrings(serializedJob, groups);
             lock (pendingOptimizersByJobId) {
               pendingOptimizersByJobId.Add(response.Obj.Id, optimizer);
@@ -468,5 +468,5 @@
     private void FetchAndUpdateJob(Guid jobId) {
       LogMessage(jobId, "FetchAndUpdateJob started");
-      IExecutionEngineFacade executionEngineFacade = GetExecutionEngineFacade();
+      IClientFacade clientFacade = GetClientFacade();
       IOptimizer originalOptimizer;
       lock (pendingOptimizersByJobId) {
@@ -475,5 +475,5 @@
 
       fetchJobSemaphore.WaitOne();
-      ResponseObject<SerializedJob> jobResponse = executionEngineFacade.GetLastSerializedResult(jobId, false, false);
+      ResponseObject<SerializedJob> jobResponse = clientFacade.GetLastSerializedResult(jobId, false, false);
       IJob restoredObject = XmlParser.Deserialize<IJob>(new MemoryStream(jobResponse.Obj.SerializedJobData));
       IOptimizer restoredOptimizer = ((OptimizerJob)restoredObject).Optimizer;
@@ -490,6 +490,6 @@
 
     public void AbortJob(Guid jobId) {
-      IExecutionEngineFacade executionEngineFacade = GetExecutionEngineFacade();
-      Response response = executionEngineFacade.AbortJob(jobId);
+      IClientFacade clientFacade = GetClientFacade();
+      Response response = clientFacade.AbortJob(jobId);
       LogMessage(jobId, "Aborting Job: " + response.StatusMessage);
     }
@@ -554,5 +554,5 @@
         try {
           do {
-            IExecutionEngineFacade executionEngineFacade = GetExecutionEngineFacade();
+            IClientFacade clientFacade = GetClientFacade();
             IEnumerable<Guid> jobIdsToQuery = from job in JobItems
                                               where job.State != JobState.Finished &&
@@ -562,5 +562,5 @@
               LogMessage("Polling results for " + jobIdsToQuery.Count() + " jobs");
               try {
-                ResponseObject<JobResultList> response = executionEngineFacade.GetJobResults(jobIdsToQuery);
+                ResponseObject<JobResultList> response = clientFacade.GetJobResults(jobIdsToQuery);
                 if (response.StatusMessage == ResponseStatus.Ok) {
                   JobResultList jobItemList = response.Obj;
@@ -601,13 +601,13 @@
     public void RequestSnapshot(Guid jobId) {
       Thread t = new Thread(() => {
-        IExecutionEngineFacade executionEngineFacade = GetExecutionEngineFacade();
+        IClientFacade clientFacade = GetClientFacade();
         ResponseObject<SerializedJob> response;
         int retryCount = 0;
 
-        Response snapShotResponse = executionEngineFacade.RequestSnapshot(jobId);
+        Response snapShotResponse = clientFacade.RequestSnapshot(jobId);
         if (snapShotResponse.StatusMessage == ResponseStatus.RequestSnapshot_JobIsNotBeeingCalculated) {
           // job already finished
           Logger.Debug("HiveExperiment: Abort - GetLastResult(false)");
-          response = executionEngineFacade.GetLastSerializedResult(jobId, false, false);
+          response = clientFacade.GetLastSerializedResult(jobId, false, false);
           Logger.Debug("HiveExperiment: Abort - Server: " + response.StatusMessage);
         } else {
@@ -617,5 +617,5 @@
             Thread.Sleep(snapshotPollingIntervalMs);
             Logger.Debug("HiveExperiment: Abort - GetLastResult(true)");
-            response = executionEngineFacade.GetLastSerializedResult(jobId, false, true);
+            response = clientFacade.GetLastSerializedResult(jobId, false, true);
             Logger.Debug("HiveExperiment: Abort - Server: " + response.StatusMessage);
             retryCount++;
@@ -876,15 +876,15 @@
 
     #region Helper Functions
-    private IExecutionEngineFacade GetExecutionEngineFacade() {
-      IExecutionEngineFacade executionEngineFacade = null;
+    private IClientFacade GetClientFacade() {
+      IClientFacade clientFacade = null;
       do {
         try {
-          executionEngineFacade = ServiceLocator.CreateExecutionEngineFacade(ServerUrl);
+          clientFacade = ServiceLocator.CreateClientFacade(ServerUrl);
         } catch (EndpointNotFoundException exception) {
           LogMessage("Could not connect to Server: " + exception.Message + ". Will try again in " + (resultPollingIntervalMs / 1000) + " sec.");
           Thread.Sleep(resultPollingIntervalMs);
         }
-      } while (executionEngineFacade == null && this.ExecutionState != Core.ExecutionState.Stopped);
-      return executionEngineFacade;
+      } while (clientFacade == null && this.ExecutionState != Core.ExecutionState.Stopped);
+      return clientFacade;
     }
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs	(revision 4302)
@@ -30,6 +30,6 @@
 namespace HeuristicLab.Hive.Experiment {
   internal class ServiceLocator {
-    internal static IExecutionEngineFacade CreateExecutionEngineFacade(string url) {
-      ChannelFactory<IExecutionEngineFacade> factory = new ChannelFactory<IExecutionEngineFacade>(
+    internal static IClientFacade CreateClientFacade(string url) {
+      ChannelFactory<IClientFacade> factory = new ChannelFactory<IClientFacade>(
           WcfSettings.GetStreamedBinding(),
           new EndpointAddress(url));
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/AddJobForm.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/AddJobForm.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/AddJobForm.cs	(revision 4302)
@@ -46,5 +46,5 @@
     ResponseList<ProjectDto> projects = null;
     IJobManager jobManager;
-    ISlaveManager clientManager; 
+    ISlaveManager slaveManager;
     ResponseList<SlaveGroupDto> clientGroups;
 
@@ -61,21 +61,19 @@
     private void AddJob() {
       try {
+        jobManager = ServiceLocator.GetJobManager();
+        projects = jobManager.GetAllProjects();
+        slaveManager = ServiceLocator.GetSlaveManager();
+        clientGroups = slaveManager.GetAllSlaveGroups();
+        cbProject.Items.Add("none");
+        cbProject.SelectedIndex = 0;
+        foreach (ProjectDto project in projects.List) {
+          cbProject.Items.Add(project.Name);
+        }
 
-      jobManager =
-        ServiceLocator.GetJobManager();
-      projects = jobManager.GetAllProjects();
-      clientManager = ServiceLocator.GetSlaveManager();
-      clientGroups = clientManager.GetAllSlaveGroups();
-      cbProject.Items.Add("none");
-      cbProject.SelectedIndex = 0;
-      foreach (ProjectDto project in projects.List) {
-        cbProject.Items.Add(project.Name);
-      }
+        AddSlaveGroups();
 
-      AddSlaveGroups();
-
-      foreach (KeyValuePair<Guid, string> kvp in clients) {
-        lbGroupsOut.Items.Add(kvp.Value + " (" + kvp.Key + ")");
-      }
+        foreach (KeyValuePair<Guid, string> kvp in clients) {
+          lbGroupsOut.Items.Add(kvp.Value + " (" + kvp.Key + ")");
+        }
       }
       catch (FaultException fe) {
@@ -86,7 +84,7 @@
 
     private void AddSlaveGroups() {
-     foreach (SlaveGroupDto cg in clientGroups.List) {
-       if (cg.Id != Guid.Empty)
-       clients.Add(cg.Id, cg.Name);
+      foreach (SlaveGroupDto cg in clientGroups.List) {
+        if (cg.Id != Guid.Empty)
+          clients.Add(cg.Id, cg.Name);
         AddSlaveOrGroup(cg);
       }
@@ -97,9 +95,9 @@
         if (resource is SlaveGroupDto) {
           if (resource.Id != Guid.Empty)
-          clients.Add(resource.Id, resource.Name);
+            clients.Add(resource.Id, resource.Name);
           AddSlaveOrGroup(resource as SlaveGroupDto);
         }
       }
-    
+
     }
 
@@ -111,5 +109,5 @@
           for (int i = 0; i < numJobs; i++) {
             JobDto job = new JobDto { State = JobState.Offline, CoresNeeded = 1 };
-            
+
             // if project selected (0 -> none)
             if (cbProject.SelectedIndex != 0) {
@@ -181,5 +179,5 @@
         lbGroupsOut.Items.RemoveAt(lbGroupsOut.SelectedIndex);
       }
-  
+
     }
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLab.Hive.Server.Console-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLab.Hive.Server.Console-3.3.csproj	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HeuristicLab.Hive.Server.Console-3.3.csproj	(revision 4302)
@@ -98,4 +98,6 @@
     </Reference>
     <Reference Include="System.DirectoryServices" />
+    <Reference Include="System.IdentityModel" />
+    <Reference Include="System.Runtime.Serialization" />
     <Reference Include="System.ServiceModel">
       <RequiredTargetFramework>3.0</RequiredTargetFramework>
@@ -214,6 +216,16 @@
       <DesignTime>True</DesignTime>
     </Compile>
+    <None Include="app.config" />
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.BusinessObjects.AppointmentDto.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.BusinessObjects.JobDto.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.BusinessObjects.JobResult.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.BusinessObjects.ProjectDto.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.BusinessObjects.SerializedJob.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.BusinessObjects.SlaveDto.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.BusinessObjects.SlaveGroupDto.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.BusinessObjects.UpTimeStatisticsDto.datasource" />
+    <None Include="Properties\DataSources\HeuristicLab.Hive.Contracts.ResponseObjects.Response.datasource" />
     <None Include="Properties\Settings.settings">
       <Generator>SettingsSingleFileGenerator</Generator>
@@ -232,4 +244,5 @@
     </Compile>
     <Compile Include="ServiceLocator.cs" />
+    <None Include="Tools\RecreateServiceConfig.bat" />
   </ItemGroup>
   <ItemGroup>
@@ -250,4 +263,7 @@
       <Name>HeuristicLab.Hive.JobBase-3.3</Name>
     </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <WCFMetadata Include="Service References\" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HiveServerManagementConsole.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HiveServerManagementConsole.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/HiveServerManagementConsole.cs	(revision 4302)
@@ -72,6 +72,6 @@
     private JobDataFetcher jdfOffline = null;
     private JobDataFetcher jdfCalculating = null;
-    
-      
+
+
     #endregion
 
@@ -109,8 +109,8 @@
 
     void jdf_NewDataAvailable(object sender, EventArgs e) {
-      JobDataFetcher fetcher = (JobDataFetcher) sender;
+      JobDataFetcher fetcher = (JobDataFetcher)sender;
       if (fetcher.PollStates.Contains(JobState.Finished)) {
         UpdateJobListView(fetcher, lv_finishedJobs, 0);
-      } else if(fetcher.PollStates.Contains(JobState.Calculating)) {
+      } else if (fetcher.PollStates.Contains(JobState.Calculating)) {
         UpdateJobListView(fetcher, lv_calculatingJobs, 1);
       } else if (fetcher.PollStates.Contains(JobState.Offline)) {
@@ -134,18 +134,18 @@
     }
 
-   
+
     private void Init() {
 
-      jdfFinished = new JobDataFetcher(new JobState[] {JobState.Finished}, 50);
-      jdfCalculating = new JobDataFetcher(new JobState[] {JobState.Calculating}, 50);
-      jdfOffline = new JobDataFetcher(new JobState[] {JobState.Offline}, 50);
+      jdfFinished = new JobDataFetcher(new JobState[] { JobState.Finished }, 50);
+      jdfCalculating = new JobDataFetcher(new JobState[] { JobState.Calculating }, 50);
+      jdfOffline = new JobDataFetcher(new JobState[] { JobState.Offline }, 50);
 
       cmb_finishedJob_count.SelectedItem = "50";
       cmb_offlineJob_count.SelectedItem = "50";
       cmb_calculatingJob_count.SelectedItem = "50";
-      
+
       calcToolStripAbortItem.Click += (s, e) => {
-        if(lv_calculatingJobs.SelectedItems.Count > 0) {
-          ServiceLocator.GetJobManager().AbortJob(((JobDto) lv_calculatingJobs.SelectedItems[0].Tag).Id);
+        if (lv_calculatingJobs.SelectedItems.Count > 0) {
+          ServiceLocator.GetJobManager().AbortJob(((JobDto)lv_calculatingJobs.SelectedItems[0].Tag).Id);
         }
       };
@@ -170,7 +170,7 @@
       //adding group
       menuItemDeleteGroup.Click += (s, e) => {
-        ISlaveManager clientManager = ServiceLocator.GetSlaveManager();
+        ISlaveManager slaveManager = ServiceLocator.GetSlaveManager();
         if (tvClientControl.SelectedNode != null) {
-          Response resp = clientManager.DeleteSlaveGroup(((SlaveGroupDto)tvClientControl.SelectedNode.Tag).Id);
+          Response resp = slaveManager.DeleteSlaveGroup(((SlaveGroupDto)tvClientControl.SelectedNode.Tag).Id);
           if (tvClientControl.SelectedNode == currentGroupNode) {
             currentGroupNode = null;
@@ -182,9 +182,9 @@
 
       menuItemOpenCalendar.Click += (s, e) => {
-                                      if (tvClientControl.SelectedNode != null) {
-                                        CgCalendar cal = new CgCalendar(((SlaveGroupDto)tvClientControl.SelectedNode.Tag).Id, ((SlaveGroupDto)tvClientControl.SelectedNode.Tag).Name);                                        
-                                        cal.Show();
-                                      }
-                                    };
+        if (tvClientControl.SelectedNode != null) {
+          CgCalendar cal = new CgCalendar(((SlaveGroupDto)tvClientControl.SelectedNode.Tag).Id, ((SlaveGroupDto)tvClientControl.SelectedNode.Tag).Name);
+          cal.Show();
+        }
+      };
 
 
@@ -255,10 +255,10 @@
     /// <param name="clientgroupID">group of clients</param>
     private void ChangeGroup(Dictionary<SlaveDto, Guid> clients, Guid clientgroupID) {
-      ISlaveManager clientManager = ServiceLocator.GetSlaveManager();
+      ISlaveManager slaveManager = ServiceLocator.GetSlaveManager();
       foreach (KeyValuePair<SlaveDto, Guid> client in clients) {
         if (client.Key.Id != Guid.Empty) {
-          Response resp = clientManager.DeleteResourceFromGroup(client.Value, client.Key.Id);
-        }
-        clientManager.AddResourceToGroup(clientgroupID, client.Key);
+          Response resp = slaveManager.DeleteResourceFromGroup(client.Value, client.Key.Id);
+        }
+        slaveManager.AddResourceToGroup(clientgroupID, client.Key);
       }
     }
@@ -285,6 +285,5 @@
       ResponseList<JobDto> jobsOld = jobs;
       try {
-        IJobManager jobManager =
-                ServiceLocator.GetJobManager();
+        IJobManager jobManager = ServiceLocator.GetJobManager();
 
         jobs = jobManager.GetAllJobs();
@@ -293,5 +292,5 @@
         CloneList(jobsOld, out jobsOldHelp);
 
-        if(jobsOld != null && jobsOld.List != null && jobsOldHelp != null)
+        if (jobsOld != null && jobsOld.List != null && jobsOldHelp != null)
           GetDelta(jobsOld.List, jobsOldHelp);
 
@@ -412,5 +411,5 @@
       ResponseObject<JobDto> response = ServiceLocator.GetJobManager().GetJobByIdWithDetails(currentJob.Id);
 
-      if(response.StatusMessage != ResponseStatus.Ok || response.Obj == null)
+      if (response.StatusMessage != ResponseStatus.Ok || response.Obj == null)
         return;
 
@@ -429,6 +428,6 @@
       lblJobName.Text = job.Id.ToString();
       if (job.Percentage != null) {
-        progressJob.Value = (int) (currentJob.Percentage*100);
-        lblProgress.Text = (int) (currentJob.Percentage*100) + "% calculated";
+        progressJob.Value = (int)(currentJob.Percentage * 100);
+        lblProgress.Text = (int)(currentJob.Percentage * 100) + "% calculated";
       }
 
@@ -482,11 +481,11 @@
         if (job.State == JobState.Finished) {
           lvi = null;
-            lvi = new ListViewItem();
-            lvi.Text = "Calculation ended:";
-            lvi.SubItems.Add(job.DateFinished.ToString());
-            lvJobDetails.Items.Add(lvi);
-          }
-        }
-      } 
+          lvi = new ListViewItem();
+          lvi.Text = "Calculation ended:";
+          lvi.SubItems.Add(job.DateFinished.ToString());
+          lvJobDetails.Items.Add(lvi);
+        }
+      }
+    }
 
     /// <summary>
@@ -608,5 +607,5 @@
 
     private void OnLVJobControlClicked(object sender, EventArgs e) {
-      JobListView jlv = (JobListView) sender;
+      JobListView jlv = (JobListView)sender;
       currentJob = (JobDto)jlv.SelectedItems[0].Tag;
       JobClicked();
@@ -614,5 +613,5 @@
 
     private void lvJobControl_MouseMove(object sender, MouseEventArgs e) {
-      JobListView jlv = (JobListView) sender;
+      JobListView jlv = (JobListView)sender;
       if ((jlv.GetItemAt(e.X, e.Y) != null) &&
         (jlv.GetItemAt(e.X, e.Y).ToolTipText != null)) {
@@ -696,10 +695,10 @@
 
     private void addgroup_addGroupEvent(string name) {
-      ISlaveManager clientManager = ServiceLocator.GetSlaveManager();
+      ISlaveManager slaveManager = ServiceLocator.GetSlaveManager();
 
       if (parentgroup != Guid.Empty) {
         SlaveGroupDto cg = new SlaveGroupDto() { Name = name };
-        ResponseObject<SlaveGroupDto> respcg = clientManager.AddSlaveGroup(cg);
-        Response res = clientManager.AddResourceToGroup(parentgroup, respcg.Obj);
+        ResponseObject<SlaveGroupDto> respcg = slaveManager.AddSlaveGroup(cg);
+        Response res = slaveManager.AddResourceToGroup(parentgroup, respcg.Obj);
         if (res != null && res.StatusMessage != ResponseStatus.Ok) {
           MessageBox.Show(res.StatusMessage.ToString(), "Error adding Group", MessageBoxButtons.OK, MessageBoxIcon.Error);
@@ -707,5 +706,5 @@
       } else {
         SlaveGroupDto cg = new SlaveGroupDto() { Name = name };
-        clientManager.AddSlaveGroup(cg);
+        slaveManager.AddSlaveGroup(cg);
       }
       AddSlaves();
@@ -783,5 +782,5 @@
     }
 
-    private int CapacityRam(int noCores, int freeCores) {    
+    private int CapacityRam(int noCores, int freeCores) {
       if (noCores > 0) {
         int capacity = ((noCores - freeCores) / noCores) * 100;
@@ -865,5 +864,5 @@
 
     private void cmb_count_SelectedIndexChanged(object sender, EventArgs e) {
-      ComboBox box = (ComboBox) sender;
+      ComboBox box = (ComboBox)sender;
       if (box.SelectedItem != null) {
         int val;
@@ -871,9 +870,7 @@
           if (box == cmb_offlineJob_count) {
             jdfOffline.NrOfEntriesOnPage = val;
-          }
-          else if (box == cmb_finishedJob_count) {
+          } else if (box == cmb_finishedJob_count) {
             jdfFinished.NrOfEntriesOnPage = val;
-          }
-          else if (box == cmb_calculatingJob_count) {
+          } else if (box == cmb_calculatingJob_count) {
             jdfCalculating.NrOfEntriesOnPage = val;
           }
@@ -883,9 +880,9 @@
 
     private void lv_Jobs_SelectedIndexChanged(object sender, EventArgs e) {
-      ListView lv = (ListView) sender;
-      if(lv.SelectedItems.Count > 0) {
+      ListView lv = (ListView)sender;
+      if (lv.SelectedItems.Count > 0) {
         foreach (ListViewItem lvi in lv.SelectedItems) {
-          currentJob = (JobDto) lvi.Tag;
-          JobClicked();          
+          currentJob = (JobDto)lvi.Tag;
+          JobClicked();
         }
       }
